Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc
Interface DOMCache

All Known Implementing Classes:
  DocumentCache, TransformerImpl

public interface DOMCache

Method Summary
`DOMImpl` | `retrieveDocument(java.lang.String uri, int mask, Translet translet)` This method is responsible for: (1) building the DOMImpl tree Parser _parser = new Parser(); DOMImpl _dom = new DOMImpl(); _parser.setDocumentHandler(_dom.getBuilder()); _parser.parse(uri); (2) building indicies for all ID elements (declared in DTD): DTDMonitor _dtdMonitor = new DTDMonitor(); _parser.setDTDHandler(_dtdMonitor); translet.setIndexSize(dom.getSize()); dtd.buildIdIndex(dom, mask, translet); (3) passing unparsed entity URI elements from DTD to translet: translet.setUnparsedEntityURIs(dtd.getUnparsedEntityURIs()); (4) setting the document URI: _dom.setDocumentURI(uri);

Method Detail

### retrieveDocument

    public DOMImpl retrieveDocument(java.lang.String uri,
                                    int mask,
                                    Translet translet)

  This method is responsible for: (1) building the DOMImpl tree Parser _parser = new Parser(); DOMImpl _dom = new DOMImpl(); _parser.setDocumentHandler(_dom.getBuilder()); _parser.parse(uri); (2) building indicies for all ID elements (declared in DTD): DTDMonitor _dtdMonitor = new DTDMonitor(); _parser.setDTDHandler(_dtdMonitor); translet.setIndexSize(dom.getSize()); dtd.buildIdIndex(dom, mask, translet); (3) passing unparsed entity URI elements from DTD to translet: translet.setUnparsedEntityURIs(dtd.getUnparsedEntityURIs()); (4) setting the document URI: _dom.setDocumentURI(uri);

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.